메인 콘텐츠로 건너뛰기
GET
/
v2
/
wallet
/
{chain}
/
{walletAddress}
/
tokens-balance
지갑 - 토큰 잔액
curl --request GET \
  --url https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/tokens-balance \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "amount": "1000.50",
      "chain": "sol",
      "decimals": 6,
      "name": "USD Coin",
      "priceInNative": "0.00000667",
      "priceInUsd": "1.0001",
      "symbol": "USDC",
      "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
      "valueInNative": "6.67",
      "valueInUsd": "1000.60",
      "logoUri": "https://s1.chainstream.io/tokens/images/usdc.webp"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

지갑 주소의 모든 토큰 잔액을 가져옵니다. 토큰 주소, 수량, USD 가치를 반환합니다.
관련: GraphQL 잔액 | MCP: wallet_get_balance

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

경로 매개변수

chain
enum<string>
필수

지원되는 네트워크에 나열된 체인 이름 지원되는 블록체인

사용 가능한 옵션:
sol,
eth,
bsc
walletAddress
string
필수

지갑 주소

쿼리 매개변수

cursor
string

페이지네이션 커서

limit
integer<int64>
기본값:20

페이지당 결과 수

direction
enum<string>
기본값:next

페이지네이션 방향

사용 가능한 옵션:
next,
prev

응답

200 - application/json

성공 응답

범용 페이지네이션 응답

data
object[]
필수

페이지 데이터

endCursor
string | null

현재 페이지 끝 커서

예시:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

다음 페이지 존재 여부

예시:

false

hasPrev
boolean

이전 페이지 존재 여부

예시:

false

startCursor
string | null

현재 페이지 시작 커서

예시:

"eyJpZCI6InN0YXJ0In0="